
From: Hans Reiser <reiser@namesys.com>

Reiser4 manipulates with super block's inode lists.  To do that it needs
inode_lock and __iget to be external symbols.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/inode.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN fs/inode.c~reiser4-export-inode_lock fs/inode.c
--- 25/fs/inode.c~reiser4-export-inode_lock	2004-12-27 00:30:57.340013552 -0800
+++ 25-akpm/fs/inode.c	2004-12-27 00:30:57.344012944 -0800
@@ -81,6 +81,7 @@ static struct hlist_head *inode_hashtabl
  * the i_state of an inode while it is in use..
  */
 spinlock_t inode_lock = SPIN_LOCK_UNLOCKED;
+EXPORT_SYMBOL(inode_lock);
 
 /*
  * iprune_sem provides exclusion between the kswapd or try_to_free_pages
@@ -235,6 +236,7 @@ void __iget(struct inode * inode)
 		list_move(&inode->i_list, &inode_in_use);
 	inodes_stat.nr_unused--;
 }
+EXPORT_SYMBOL(__iget);
 
 /**
  * clear_inode - clear an inode
_
